/*
 * Copyright COCKTAIL (www.cocktail.org), 1995, 2012 This software 
 * is governed by the CeCILL license under French law and abiding by the
 * rules of distribution of free software. You can use, modify and/or 
 * redistribute the software under the terms of the CeCILL license as 
 * circulated by CEA, CNRS and INRIA at the following URL 
 * "http://www.cecill.info". 
 * As a counterpart to the access to the source code and rights to copy, modify 
 * and redistribute granted by the license, users are provided only with a 
 * limited warranty and the software's author, the holder of the economic 
 * rights, and the successive licensors have only limited liability. In this 
 * respect, the user's attention is drawn to the risks associated with loading,
 * using, modifying and/or developing or reproducing the software by the user 
 * in light of its specific status of free software, that may mean that it
 * is complicated to manipulate, and that also therefore means that it is 
 * reserved for developers and experienced professionals having in-depth
 * computer knowledge. Users are therefore encouraged to load and test the 
 * software's suitability as regards their requirements in conditions enabling
 * the security of their systems and/or data to be ensured and, more generally, 
 * to use and operate it in the same conditions as regards security. The
 * fact that you are presently reading this means that you have had knowledge 
 * of the CeCILL license and that you accept its terms.
 */
package org.cocktail.carambole.server.components;

// Generated by the WOLips Templateengine Plug-in at 18 dec. 2007 16:41:18

import org.cocktail.carambole.server.MyComponent;
import org.cocktail.fwkcktldepense.server.finder.FinderCommandeBascule;
import org.cocktail.fwkcktldepense.server.finder.FinderExercice;
import org.cocktail.fwkcktldepense.server.metier.EOCommandeBascule;
import org.cocktail.fwkcktldepense.server.metier.EOExercice;

import com.webobjects.appserver.WOContext;
import com.webobjects.foundation.NSArray;
import com.webobjects.foundation.NSMutableDictionary;
import com.webobjects.foundation.NSTimestamp;

public class CommandesBasculeesListe extends MyComponent {

	private static final long serialVersionUID = 1L;
	public NSArray<EOCommandeBascule> lesCommandesBasculees = null;
	public EOCommandeBascule uneCommandeBasculee = null;
	public EOExercice exerciceOrigine = null;

	public CommandesBasculeesListe(WOContext context) {
		super(context);
	}

	public NSArray<String> itemsMenu() {
		NSArray<String> items = new NSArray<String>(new String[] {
				"Accueil"
		});

		return items;
	}

	public NSArray<EOCommandeBascule> getLesCommandesBasculees() {
		if (lesCommandesBasculees == null) {
			if (getExerciceOrigine() != null) {
				NSMutableDictionary<String, Object> bindings = new NSMutableDictionary<String, Object>(getExerciceOrigine(), "exercice");
				lesCommandesBasculees = FinderCommandeBascule.getCommandeBascules(edc(), bindings);
			}
			else {
				lesCommandesBasculees = NSArray.emptyArray();
			}
		}
		return lesCommandesBasculees;
	}

	public void setLesCommandesBasculees(NSArray<EOCommandeBascule> lesCommandesBasculees) {
		this.lesCommandesBasculees = lesCommandesBasculees;
	}

	public EOCommandeBascule getUneCommandeBasculee() {
		return uneCommandeBasculee;
	}

	public void setUneCommandeBasculee(EOCommandeBascule uneCommandeBasculee) {
		this.uneCommandeBasculee = uneCommandeBasculee;
	}

	public EOExercice getExerciceOrigine() {
		if (exerciceOrigine == null) {
			NSTimestamp dateMoinsUnAn = new NSTimestamp().timestampByAddingGregorianUnits(-1, 0, 0, 0, 0, 0);
			exerciceOrigine = FinderExercice.getExercicePourDate(edc(), dateMoinsUnAn);
		}
		return exerciceOrigine;
	}

	public void setExerciceOrigine(EOExercice exerciceOrigine) {
		this.exerciceOrigine = exerciceOrigine;
	}

}